// Calex.h


#ifndef _CALEX_H_
#define _CALEX_H_

#define DT_SINGLELINE      32
#define DT_CENTER           1
#define DT_RIGHT            2
#define DT_VCENTER          4

#define BMPITEMW            22
#define BMPITEMH            22
#define ROWITEM             15
#define COLPREV             15
#define COLNEXT             40

#define PUSHEDPREV          1
#define PUSHEDNEXT          2


#define DEFAULT_GUI_FONT    17
#define SM_CXVSCROLL         2

#define CI_TOP     1
#define CI_LEFT    2
#define CI_BOTTOM  3
#define CI_RIGHT   4

#define HITTEST_HEADER   1
#define HITTEST_TIME     2
#define HITTEST_BODY     3

#define FLAGS_START  0
#define FLAGS_END    2
#define FLAGS_DOWN   4
#define FLAGS_RIGHT  8


#ifdef __XHARBOUR__
   #xtranslate hb_HASH([<x,...>])          => HASH(<x>)
   #xtranslate hb_HHASKEY([<x,...>])       => HHASKEY(<x>)
   #xtranslate hb_HGET([<x,...>])          => HGET(<x>)
   #xtranslate hb_HSET([<x,...>])          => HSET(<x>)
   #xtranslate hb_HVALUEAT([<x,...>])      => HGETVALUEAT(<x>)
   #xtranslate hb_HEVAL([<x,...>])         => HEVAL(<x>)
   #xtranslate hb_HPOS([<x,...>])          => HGETPOS(<x>)   
   #xtranslate hb_HKEYAT([<x,...>])        => HGETKEYAT(<x>)
#else 
   #xtranslate hb_enumIndex(<!v!>) => <v>:__enumIndex()
#endif


#endif