#Borland make sample, (c) FiveTech Software 2005-2009

#change these paths as needed
.path.OBJ = .\obj
.path.PRG = .\source\prg;.\
.path.CH  = $(FWDIR)\include;$(HBDIR)\include
.path.C   = .\source\c
.path.rc  = .\rc

#important: Use Uppercase for filenames extensions, in the next two rules!

PRG =        \
tcalex.PRG    \
calinfo.PRG   \
tdayv.PRG     \
tmonthv.PRG   \
tweekv.PRG    \
sample01.PRG

C =          \
calexc.C                 

PROJECT    : calex.exe

calex.exe  : $(PRG:.PRG=.OBJ) $(C:.C=.OBJ) xpp.res
   echo off
   echo $(BCDIR)\lib\c0w32.obj + > b32.bc
   echo obj\sample01.obj obj\tcalex.obj obj\calinfo.obj + >> b32.bc
   echo obj\tdayv.obj obj\tmonthv.obj obj\tweekv.obj + >> b32.bc
   echo obj\calexc.obj, + >> b32.bc
   echo calex.exe, + >> b32.bc
   echo calex.map, + >> b32.bc
   echo $(FWDIR)\lib\FiveH.lib $(FWDIR)\lib\FiveHC.lib + >> b32.bc
   echo $(HBDIR)\lib\hbrtl.lib + >> b32.bc
   echo $(HBDIR)\lib\hbvm.lib + >> b32.bc
   echo $(HBDIR)\lib\gtgui.lib + >> b32.bc
   echo $(HBDIR)\lib\hblang.lib + >> b32.bc
   echo $(HBDIR)\lib\hbmacro.lib + >> b32.bc
   echo $(HBDIR)\lib\hbrdd.lib + >> b32.bc
   echo $(HBDIR)\lib\rddntx.lib + >> b32.bc
   echo $(HBDIR)\lib\rddcdx.lib + >> b32.bc
   echo $(HBDIR)\lib\rddfpt.lib + >> b32.bc
   echo $(HBDIR)\lib\hbsix.lib + >> b32.bc
   echo $(HBDIR)\lib\hbdebug.lib + >> b32.bc
   echo $(HBDIR)\lib\hbcommon.lib + >> b32.bc
   echo $(HBDIR)\lib\hbpp.lib + >> b32.bc
   echo $(HBDIR)\lib\hbwin.lib + >> b32.bc
   echo $(HBDIR)\lib\hbcpage.lib + >> b32.bc
   echo $(HBDIR)\lib\hbct.lib + >> b32.bc

   rem Uncomment these two lines to use Advantage RDD
   rem echo $(HBDIR)\lib\rddads.lib + >> b32.bc
   rem echo $(HBDIR)\lib\Ace32.lib + >> b32.bc

   echo $(BCDIR)\lib\cw32.lib + >> b32.bc
   echo $(BCDIR)\lib\import32.lib + >> b32.bc
   echo $(BCDIR)\lib\psdk\odbc32.lib + >> b32.bc
   echo $(BCDIR)\lib\psdk\nddeapi.lib + >> b32.bc
   echo $(BCDIR)\lib\psdk\iphlpapi.lib + >> b32.bc
   echo $(BCDIR)\lib\psdk\msimg32.lib + >> b32.bc
   echo $(BCDIR)\lib\psdk\rasapi32.lib, >> b32.bc

   IF EXIST .\rc\xpp.res echo .\rc\xpp.res >> b32.bc
   $(BCDIR)\bin\ilink32 -Gn -aa -Tpe -s @b32.bc
   del b32.bc

.PRG.OBJ:
  $(HBDIR)\bin\harbour $< /L /N /W /Oobj\ /I$(FWDIR)\include;$(HBDIR)\include;.\include
  $(BCDIR)\bin\bcc32 -c -tWM -I$(HBDIR)\include -oobj\$& obj\$&.c

.C.OBJ:
  echo -c -tWM -D__HARBOUR__ -DHB_API_MACROS > tmp
  echo -I$(HBDIR)\include;$(FWDIR)\include >> tmp
  $(BCDIR)\bin\bcc32 -oobj\$& @tmp .\source\c\$&.c
  del tmp

xpp.res : xpp.rc
  $(BCDIR)\bin\brc32.exe -r .\rc\xpp.rc